Bug 1126549 - [RFE] enable 'Run Puppet' per individual host rather than as setting
Summary: [RFE] enable 'Run Puppet' per individual host rather than as setting
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Puppet
Version: 6.0.4
Hardware: All
OS: Linux
medium
medium vote
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Katello QA List
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-04 18:00 UTC by Tom McKay
Modified: 2019-08-15 03:55 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-30 14:23:05 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 6920 None None None 2016-04-26 17:09:31 UTC

Description Tom McKay 2014-08-04 18:00:36 UTC
The 'puppetrun' is a server config but is perhaps better suited for a per-host option so it can be associated with roles&permissions and be enabled per host.

Comment 1 Tom McKay 2014-08-04 18:00:37 UTC
Created from redmine issue http://projects.theforeman.org/issues/6920

Comment 4 Bryan Kearney 2015-08-25 17:59:47 UTC
Upstream bug component is Provisioning

Comment 5 Bryan Kearney 2016-07-26 15:25:24 UTC
Moving 6.2 bugs out to sat-backlog.

Comment 6 Bryan Kearney 2016-07-26 15:49:02 UTC
Moving 6.2 bugs out to sat-backlog.

Comment 8 Bryan Kearney 2016-08-10 19:02:07 UTC
Upstream bug component is Configuration Management

Comment 9 Bryan Kearney 2016-08-10 20:03:14 UTC
Upstream bug component is Provisioning

Comment 10 Bryan Kearney 2016-08-10 22:03:01 UTC
Upstream bug component is Puppet

Comment 11 Bryan Kearney 2017-05-30 14:23:05 UTC
Thank you for your interest in Satellite 6. We have evaluated this feature request, and we do not expect this to be implemented in product in the forseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.

Comment 12 Bryan Kearney 2018-11-12 16:21:00 UTC
There was a request to re-open this, but we are keeping it closed. We do not see this feature being developed in the near future. Users can use remote execution jobs manually if they desire.


Note You need to log in before you can comment on or make changes to this bug.